<html >
<head>
    <title>FastBlog</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
</head>
<body>
    <div class="container text-start">
        <div class="sticky-top text-center bg-white row">
            <h1>Welcome to FastBlog</h1>
            <p>
                A simple blog build with <a href="https://fastapi.tiangolo.com">FastAPI</a>.
                Content is written in <a href="https://www.markdownguide.org">Markdown</a>.
            </p>
            <p>
                <a href="#">Back to top</a>
            </p>
        </div>
        <div class="row">
            <div class="col-2">
                <nav class="nav flex-column nav-pills sticky-top" id="navbar">
                    {% for post in posts %}
                        <a class="nav-link" href="#{{ post.id }}">{{ post.get_plain_header() }}</a>
                    {% endfor %}
                </nav>
            </div>
            <div class="col-10 d-grid gap-3" data-bs-spy="scroll" data-bs-target="#navbar">
                {% for post in posts %}
                    <div id="{{ post.id }}" class="card" scroll-margin-top: 2em>
                        <div class="card-header">
                            <i>Last modified {{ post.get_date_string() }}</i>
                        </div>
                        <div class="card-body">
                            <div class="card-title">
                                {{ post.header|safe}}
                            </div>
                            <p class="card-text">
                                {{ post.content|safe }}
                            </p>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
</body>
</html>
